# PSF-LoginServer - master - net.psforever.objects.vital.projectile.ProjectileDamageModifiers.Mod
PSF - LoginServer - master - net.psforever.objects.vital.projectile.ProjectileDamageModifiers.Mod
Keywords: PSF LoginServer master net.psforever.objects.vital.projectile.ProjectileDamageModifiers.Mod

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package projectile
  Definition Classes
    vital
-  object ProjectileDamageModifiers
  Definition Classes
    projectile
- Mod

t

net.psforever.objects.vital.projectile.ProjectileDamageModifiers

# Mod

###

#### trait Mod extends base.DamageModifiers.Mod

Source
  ProjectileDamageModifiers.scala

Linear Supertypes
base.DamageModifiers.Mod, AnyRef, Any
Known Subclasses
CometAggravated, CometAggravatedBurn, CustomDistanceCutoff, DistanceDegrade, FireballAggravatedBurn, FlailDistanceDamageBoost, FlakBurst, FlakHit, InfantryAggravatedDirect, InfantryAggravatedDirectBurn, InfantryAggravatedSplash, InfantryAggravatedSplashBurn, Lash, MaxDistanceCutoff, MeleeBoosted, SpikerChargeDamage, StarfireAggravated, StarfireAggravatedBurn

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Mod
2. Mod
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def calculate(damage: Int, data: DamageInteraction, cause: ProjectileReason): Int

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(damage: Int, data: DamageInteraction, cause: DamageReason): Int
   Definition Classes
     Mod → Mod
6.  final def calculate(damage: Int, data: DamageInteraction): Int

   Perform the underlying calculations, returning a modified value from the input value.

   Perform the underlying calculations, returning a modified value from the input value.

   Definition Classes
     Mod
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from base.DamageModifiers.Mod

### Inherited from AnyRef

### Inherited from Any

### Ungrouped